use strict;
use warnings;
use Module::Build;
use version; our $VERSION = qv('3.4.0.2');

my $builder = Module::Build->new(
    module_name   => 'CipUX::Storage::LDAP',
    license       => 'gpl2',
    dist_author   => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version  => $VERSION,
    dist_abstract => 'CipUX Storage LDAP schema files',
    installdirs   => 'vendor',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {},

    build_requires => { 'Module::Build' => 0, },

    requires     => { 'CipUX::Storage' => '3.4.0.0', },
    install_path => { usr              => '/usr', etc => '/etc' },
    schema_files => {
        'etc/cipux/ldap/schema/cipux.schema' =>
            'etc/cipux/ldap/schema/cipux.schema',
        'etc/cipux/ldap/schema/lis.schema' =>
            'etc/cipux/ldap/schema/lis.schema',
        'etc/cipux/ldap/schema/courier.schema' =>
            'etc/cipux/ldap/schema/courier.schema',
    },
    conf_files => {

#/usr/share/doc/libcipux-storage-perl/examples/debian-edu/slapd_acl_cipuxroot.conf
        'doc/example/slapd_acl_cipuxroot.conf' =>
            'usr/share/doc/cipux-storage-ldap/example/slapd_acl_cipuxroot.conf',
    },

    add_to_cleanup => ['CipUX-Storage-LDAP-*'],
);

# Only to uncomment, if you changed the BUILD target
# $builder->add_build_element('dat');
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->add_build_element('conf');
$builder->add_build_element('schema');

$builder->create_build_script();

